/*       Animation Mouse Data Converter  mcnv                                */
/*                                                            1998/11/06(Fri)*/


#include <stdio.h>
#include <stdlib.h>

#define WIDTH  32
#define HEIGHT 32

char data[14][8] = { 
 "normal" , "look" , "talk" , "beat" , "push" , "pull" , "take" , "kiss" ,
  "touch" , "knead" , "lick" , "gnaw" , "xxx" , "unknown" };
char *mode[] = { "0" , "0_mask" , "1" , "1_mask" };

FILE *fp;

main(){
	int i,j,k,l,bit0,bit1=0;
	char name[8];
	if((fp = fopen("mouse.dat","r")) == NULL) exit(-1);
	for(i=0;i<56;i++){
		for(j=0;j<8;j++) name[j] = data[i/4][j];
        /****  Make HEAD  ****/
		strcat(name,mode[i % 4]);
		printf("#define %s_width  32\n",name);
		printf("#define %s_height 32\n\n",name);
		printf("static char %s_bit[] ={ \n   ",name);
		
		/****  Write DATA  ****/
		for(j=0;j<10;j++){
			for(k=0;k<12;k++){
				bit1 = 0;
				bit0 = fgetc(fp);
				for(l=0;l<8;l++){
					bit1 = bit1 << 1;
					bit1 ^= ((bit0 & 1) != 0);
					bit0 = bit0 >> 1;
				}
				printf("0x%02X, ",bit1);
			}
			printf("\n   ");
		}
		for(j=0;j<8;j++){
				bit1 = 0;
				bit0 = fgetc(fp);
				for(l=0;l<8;l++){
					bit1 = bit1 << 1;
					bit1 ^= ((bit0 & 1) != 0);
					bit0 = bit0 >> 1;
				}
			printf("0x%02X",bit1);
			if(j!=7) printf(", ");
		}
		printf("};\n\n");
	}
	fclose(fp);
	exit(0);
}

